xGehaeuse = 85 + 2*8;
yGehaeuse = 18;
zGehaeuse = 20;  //>=15
zGehaeuse2 = 25;  
x7Segment = 61.7;
z7Segment = 14.8+0.4;
dzg7 = (zGehaeuse - z7Segment)/2;
dxg7 = (xGehaeuse - x7Segment)/2;
w = 1.5; //Wandstaerke
kipp=15;
dy = sin(kipp) * zGehaeuse;

bSteg=2; //Breite
dSteg=1.5; //Dicke
lSteg=2.5; //Laenge
rSteg=0.75; //rausragen

hAufl=7 - w;
bAufl=1;
yAufl=14;
xAufl=1.76;
//---------------------------------------------------------------------

//Draw a prism based on a 
//right angled triangle
//l - length of prism
//w - width of triangle
//h - height of triangle
module prism(l, w, h) {
	translate([0, l, 0]) rotate( a= [90, 0, 0]) 
	linear_extrude(height = l) polygon(points = [
		[0, 0],
		[w, 0],
		[0, h]
	], paths=[[0,1,2,0]]);
}

//-----Displayteil----------------------------------------------------------------

*union(){
  color("black")
  rotate([kipp+90,0,0])
  difference(){
    union(){
      translate([0,dy,0])
      rotate([0,0,-90])
      prism(xGehaeuse, dy, zGehaeuse);
      translate([0,dy-0.02,0])
      cube([xGehaeuse, yGehaeuse-dy+0.01, zGehaeuse]);
    }
    union(){
      translate([w,  dy+w*cos(kipp),  -0.01])
      rotate([0,0,-90])
      prism(xGehaeuse-w-w, dy, zGehaeuse+0.01);
      translate([w,dy+w*cos(kipp)-0.01,-0.01])
      cube([xGehaeuse-w-w, yGehaeuse-dy, zGehaeuse-w]);
    }
    //Ausschnitt	
    translate([(xGehaeuse - x7Segment)/2, -1, (zGehaeuse - z7Segment)/2])
    rotate([-kipp,0,0])
    cube([x7Segment, 9, z7Segment]);
  }
  *union(){
    //Stege links
    for (i=[7,13.5,20]){
      color("red")
      translate([w, -i, yGehaeuse-lSteg+rSteg - sin(kipp)*i])
      rotate([kipp,0,0])
      cube([dSteg, bSteg, lSteg]);
    }	
    //Stege rechts
    for (i=[7,13.5,20]){
      color("pink")
      translate([xGehaeuse-w-dSteg, -i, yGehaeuse-lSteg+rSteg - sin(kipp)*i])
      rotate([kipp,0,0])
      cube([dSteg, bSteg, lSteg]);
    }	
    //Stege oben
    for (i=[0:6]){
      color("gray")
      rotate([kipp, 0, 0])
      translate([6+i*12, -zGehaeuse +w,  yGehaeuse-lSteg+rSteg])
      rotate([0, 0, 90])
      cube([dSteg, bSteg, lSteg]);
    }	
  }

  //Eckbolzen Oberteil
  union(){
      color("red")
      rotate([kipp, 0, 0])
      translate([w+3.8, -zGehaeuse +w + 3.8, dy-0.1])
      rotate([0,0,22.5])
      difference(){
        cylinder(d=8.2, h=yGehaeuse-dy-w, $fn=18);
        cylinder(d=3.4, h=yGehaeuse, $fn=18);
      }
      color("blue")
      rotate([kipp, 0, 0])
      translate([xGehaeuse - w-3.8, -zGehaeuse +w + 3.8, dy-0.1])
      rotate([0,0,22.5])
      difference(){
        cylinder(d=8.2, h=yGehaeuse-dy-w, $fn=18);
        cylinder(d=3.4, h=yGehaeuse, $fn=18);
      }
  }

  //Randstreifen Hinten
  union(){
    color("orange")
    translate([w-0.1, -4+1.5,0])
    rotate([kipp, 0, 0])
    cube([w, 4, yGehaeuse-w-w]);
    color("brown")
    translate([xGehaeuse-w-w+0.1, -4+1.5,0])
    rotate([kipp, 0, 0])
    cube([w, 4, yGehaeuse-w-w]);
  }

    //Stege hinten unten
    for (i=[0:6]){
      color("gray")
      translate([6+i*12, -lSteg+rSteg,  w-sin(kipp)*(lSteg)])
      rotate([kipp, 0, 0])
      cube([bSteg, lSteg, 1]);
    }	


  //Auflagen
  union(){
    color("blue")
    translate([dxg7 -xAufl - 0.5 ,-yAufl-dzg7-1,w-0.1])
    cube([xAufl, yAufl+2.3, hAufl]);

    color("green")
    translate([xGehaeuse - dxg7+0.5 ,  -yAufl-dzg7-1 , w-0.1])
    cube([xAufl, yAufl+2.3, hAufl]);
  }
  union(){

    color("red")
    translate([-2+(xGehaeuse - x7Segment)/2, -(zGehaeuse - z7Segment)/2+bAufl-0.6, w-0.1])
    cube([x7Segment+4, bAufl, hAufl]);
    
    color("cyan")
    translate([-2+(+xGehaeuse - x7Segment)/2,  -2-(zGehaeuse - z7Segment)/2 - z7Segment-0.7, w-0.1])
    cube([x7Segment+4, 2+bAufl, hAufl]);
  }
}
  //------------------------------------------------------------------------
//------------------ untere box ------------------------------------------------------
union(){
	color("gray")
	difference(){
	  cube([xGehaeuse, zGehaeuse2, yGehaeuse]);
	  translate([w, -0.01, w])
	  cube([xGehaeuse-w-w, zGehaeuse2-w, yGehaeuse]);
	  
	  //Spax-Loch
	  translate([14, 8, 0])
	  cylinder(d=3.7, h=9, center=true, $fn=18);
	  translate([xGehaeuse-14, 8, 0])
	  cylinder(d=3.7, h=9, center=true, $fn=18);
	  
	  //Kabelloch
	  translate([15, zGehaeuse2, 6])
	  rotate([90,0,0])
	  rotate([0,0,30])
	  cylinder(d=6.5, h=9, center=true, $fn=6);
	}
	//Bodenstreben
	  translate([0, 2, w])
	  cube([xGehaeuse, 2, 2]);
	  translate([0, zGehaeuse2-2-w, w])
	  cube([xGehaeuse, 2, 2]);
	  
	//Bolzen
	translate([w+3.8, zGehaeuse2-3.8-w, 0])
	rotate([0,0,22.5])
	difference(){
		cylinder(d=8.2, h=yGehaeuse-w, $fn=18);
		cylinder(d=3.4, h=yGehaeuse, $fn=18);
	}
	translate([xGehaeuse - w-3.8, zGehaeuse2-3.8-w, 0])
	rotate([0,0,22.5])
	difference(){
		cylinder(d=8.2, h=yGehaeuse-w, $fn=18);
		cylinder(d=3.4, h=yGehaeuse, $fn=18);
	}
	translate([w+3.8, 8-w, 0])
	rotate([0,0,22.5])
	difference(){
		cylinder(d=8.2, h=yGehaeuse-w, $fn=18);
		cylinder(d=3.4, h=yGehaeuse, $fn=18);
	}
	translate([xGehaeuse - w-3.8, 8-w, 0])
	rotate([0,0,22.5])
	difference(){
		cylinder(d=8.2, h=yGehaeuse-w, $fn=18);
		cylinder(d=3.4, h=yGehaeuse, $fn=18);
	}
}

//------------------ Deckel ------------------------------------------------------
*difference(){
  color("green")
	translate([w+0.4,  -yGehaeuse+w+w-0.7,  0])
	cube([xGehaeuse-w-w-1.0, yGehaeuse+zGehaeuse2-1.2, 1.25]);
	
	translate([w+3.8, zGehaeuse2-3.8+1, -1])
		cylinder(d=3.7, h=yGehaeuse, $fn=18);

  translate([w+3.8, 8+1, -1])
		cylinder(d=3.7, h=yGehaeuse, $fn=18);
    
	translate([xGehaeuse - w-3.8, zGehaeuse2-3.8+1, -1])
		cylinder(d=3.7, h=yGehaeuse, $fn=18);
    
	translate([xGehaeuse - w-3.8, 8+1, -1])
		cylinder(d=3.7, h=yGehaeuse, $fn=18);
	
  
	color("red")
	translate([w+3.8, -yGehaeuse+8-w-1, -1])
		cylinder(d=3.7, h=yGehaeuse, $fn=18);
	color("green")
	translate([xGehaeuse - w-3.8,  -yGehaeuse+8-w-1, -1])
		cylinder(d=3.7, h=yGehaeuse, $fn=18);
}
translate([w+4,0,0])
cube([xGehaeuse-w-w-8,2,2.5]);